<section class="page-section">
  <form class="form stage-form" {{on "submit" this.updateStage}}>
    <div class="form-field">
      <label for="threshold-or-level" class="form-field__label">
        {{@stageTypeName}}
      </label>
      {{#if @isTypeLevel}}
        <Stages::StageLevelSelect
          @id="threshold-or-level"
          @maxLevel={{@maxLevel}}
          @onChange={{this.setLevel}}
          @value={{this.level}}
        />
      {{else}}
        <Input
          id="threshold-or-level"
          @type="number"
          class="form-control"
          @value={{this.threshold}}
          min="0"
          max="100"
        />
      {{/if}}
      <br />

      <label for="title" class="form-field__label">
        Titre
      </label>
      <Input id="title" @type="text" class="form-control" @value={{this.title}} />
      <br />

      <label for="message" class="form-field__label">
        Message
      </label>
      <Textarea id="message" class="form-control" @value={{this.message}} rows="4" />
      <br />

      <label for="prescriberTitle" class="form-field__label">
        Titre pour le prescripteur
      </label>
      <Input id="prescriberTitle" @type="text" class="form-control" @value={{this.prescriberTitle}} maxlength="255" />

      <label for="prescriberDescription" class="form-field__label">
        Description pour le prescripteur
      </label>
      <Textarea id="prescriberDescription" class="form-control" @value={{this.prescriberDescription}} rows="4" />
    </div>
    <div class="form-actions">
      <PixButton
        @backgroundColor="transparent-light"
        @isBorderVisible={{true}}
        @size="small"
        @triggerAction={{@toggleEditMode}}
      >Annuler</PixButton>
      <PixButton @backgroundColor="green" @size="small" @type="submit">
        Enregistrer
      </PixButton>
    </div>
  </form>
</section>